stringa = input("Inserisci una stringa: ")

for char in stringa:
    if char.isupper():
        print(char, end="")

print()

for char in range(1, len(stringa), 2):
    print(stringa[char], end="")

print()

for char in stringa:
    if char.lower() in "aeiou":
        print("_", end="")
    else:
        print(char, end="")

print()

sumCifre = 0
for char in stringa:
    if char.isdigit():
        sumCifre += 1

print("Numero di cifre: ", sumCifre)

print("Posizioni delle vocali: ", end="")
for char in range(len(stringa)):
    if stringa[char].lower() in "aeiou":
        print(char, end=" ")
